List cloud flavors

GET/v1/cloud_computing/regions/{region_id}/flavors

This GET request sent to the /v1/cloud_computing/regions/{region_id}/flavors endpoint shows a list of available cloud flavors within a cloud region.

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

FieldDetails
region_id
string

A unique identifier of a cloud region. To get a list of IDs, go to the relevant request in the Cloud Region section.

Query Parameters

FieldDetails
per_page?
integer

Default: 20

Range: 1–100

The number of results [ 1 .. 100 ] displayed on a page. By default, 20 results are shown.

page?
integer

Default: 1

Min: 1

The number of a page (>= 1) that will be returned. By default, it's 1.

Response Body

application/json

application/json

application/json

curl -X GET "https://example.com/v1/cloud_computing/regions/0/flavors"
[  {    "id": "101",    "name": "SSD.1",    "disk": 1,    "ram": 256,    "vcpus": 1  },  {    "id": "201",    "name": "GPU.1",    "disk": 1,    "ram": 256,    "vcpus": 1  },  {    "id": "4",    "name": "SSD.1",    "disk": 1,    "ram": 256,    "vcpus": 1  },  {    "id": "102",    "name": "SSD.2",    "disk": 2,    "ram": 320,    "vcpus": 1  },  {    "id": "202",    "name": "GPU.2",    "disk": 2,    "ram": 320,    "vcpus": 1  },  {    "id": "103",    "name": "SSD.3",    "disk": 3,    "ram": 384,    "vcpus": 1  },  {    "id": "104",    "name": "SSD.4",    "disk": 4,    "ram": 448,    "vcpus": 1  },  {    "id": "160",    "name": "SSD.160",    "disk": 100,    "ram": 6144,    "vcpus": 4  }]